Subject: RE: bug#51132: [External] : bug#51132: Make sure user is doubly aware of finished complilations

From: Drew Adams <[email-masked]>
Date: Mon, 11 Oct 2021 16:44:28 +0000

> > > > > Note that you can customize compilation-finish-functions
> > > > > to do all sorts of things; you can e.g. send a desktop
> > > > > notification:
> > > >
> > > > Fine.  But by default Emacs should generally pair
> > > > notification of starting/continuing progress with
> > > > notification of finishing - in the _same manner_,
> > > > at a minimum.
> > >
> > > It does.  PLEASE try this before you post.
> >
> > PLEASE read what I wrote.  I replied to a claim
> > that it's sufficient to issue a message, to end
> > a mode-line in-progress message.
> 
> How is it useful to ask for something that already happens?
> Even if Lars didn't mention it?  It just adds noise.

A policy that a message is sufficient to end a
mode-line in-progress indication is misguided.

I responded to the claim that it's sufficient.
Setting this policy straight is important.

> > Whether there is in fact such a lack/bug is
> > something else.
> 
> Please make a point of looking at the actual behavior before you join
> a discussion.  If you want to help the discussion to be constructive.

Tell that to Lars, who apparently took it as
given that the behavior described in the bug
report was accurate.

Based on Lars's apparent agreement with the
description, and his defense of it, I assumed
the same and spoke (only) to that misguided
defense.

Save your criticism of lack of QA for the guy
who apparently closed the bug without "looking
at the actual behavior" - and in fact defended
the _reported_ behavior as "sufficient".